Auto Multiple Choice - Feature # 260: answers in scientific notation \AMCnumericChoices)

Status: Closed Priority: Normal

Author: math user Category: LaTeX

Created: 01/25/2014 Assignee:

Updated: 03/06/2018 Due date:

Description: same format as displayed by a pocket calculator when setting SCI and e.g. FIX 2 (normalized scientific form

or standard form):

—0.13579 is displayed as —1.36E-1

So there would be two numbers to code: the significand (e.g. digits=3, decimals=2, sign=true) and the
exponent (e.g. digitsexponent=1, signexponent=true), both with an optional sign and the letter "E" displayed
between the two numbers.

All'in all the above number would have 6 lines in vertical mode:

-1

~1

_Detail: Zero should be coded as 0.00EQ, but minus signs should also be allowed and also different
exponents: —0.00E-5 should also be allowed if the result is 0._

History

10/20/2014 05:56 pm - Alexis Bienveniie
- Target version deleted (1.3.0)

- Assignee deleted (Alexis Bienveniie)

11/28/2014 10:52 pm - math user

| do not need this feature anymore, so this feature request can be deleted.

01/14/2015 06:20 pm - Lucas Silva

I'm assuming this feature hasn't been implemented, but | absolutely need it. Is there any way for me to work around the lack of this feature?

01/14/2015 07:48 pm - Alexis Bienveniie
If you have some LaTeX skills: look at the code for @ AMCnumericChoices@, and extend it. If you do so, please propose a patch to include it in AMC!

01/15/2015 12:28 pm - Lucas Silva
Ive only taken a basic programming course, but | suppose | could give it a try. Where do | even begin looking into this?

10/13/2017 04:26 pm - Alexis Bienveniie
- Status changed from New to Feedback

- File expo.tex added

- File subject.pdf added

Added with revision commit:5dfade6aObba.

See attached LaTeX sample files.
10/13/2017 04:31 pm - Alexis Bienveniie

- Target version set to 1.4.0

03/06/2018 09:29 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Files
expo.tex 1.2kB 10/13/2017 Alexis Bienvenle
subject.pdf 77.6 kB 10/13/2017 Alexis Bienvenlie
